Package com.ocient.cli.extract

# Class ExtractConfiguration

java.lang.Object
com.ocient.cli.extract.ExtractConfiguration

public class ExtractConfiguration extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ExtractConfiguration.BinaryFormat`
`static enum`
`ExtractConfiguration.Compression`
`static enum`
`ExtractConfiguration.FileType`
`static enum`
`ExtractConfiguration.HeaderMode`
`static enum`
`ExtractConfiguration.LocationType`
`static enum`
`ExtractConfiguration.TranslateCharactersMode`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AWS_KEY_ID`
`static final String`
`AWS_SECRET_KEY`
`static final String`
`BINARY_FORMAT`
`static final String`
`BUCKET`
`static final String`
`COMPRESSION`
`static final String`
`COMPRESSION_BLOCK_SIZE`
`static final String`
`COMPRESSION_LEVEL`
`static final String`
`DEFAULT_AWS_KEY_ID`
`static final String`
`DEFAULT_AWS_SECRET_KEY`
`static final String`
`DEFAULT_BINARY_FORMAT`
`static final String`
`DEFAULT_BUCKET`
`static final String`
`DEFAULT_COMPRESSION`
`static final int`
`DEFAULT_COMPRESSION_BLOCK_SIZE`
`static final int`
`DEFAULT_COMPRESSION_LEVEL`
`static final Charset`
`DEFAULT_ENCODING`
`static final String`
`DEFAULT_ENDPOINT`
`static final char`
`DEFAULT_ESCAPE`
`static final boolean`
`DEFAULT_ESCAPE_UNQUOTED_VALUES`
`static final String`
`DEFAULT_FIELD_DELIMITER`
`static final char`
`DEFAULT_FIELD_OPTIONALL_ENCLOSED_BY`
`static final String`
`DEFAULT_FILE_EXTENSION`
`static final String`
`DEFAULT_FILE_PREFIX`
`static final String`
`DEFAULT_FILE_TYPE`
`static final ExtractConfiguration.HeaderMode`
`DEFAULT_HEADER_MODE`
`static final boolean`
`DEFAULT_INPUT_ESCAPED`
`static final Integer`
`DEFAULT_MAX_ROWS_PER_FILE`
`static final String`
`DEFAULT_NULL_FORMAT`
`static final int`
`DEFAULT_NUM_COMPRESSION_THREADS`
`static final boolean`
`DEFAULT_PATH_STYLE_ACCESS`
`static final boolean`
`DEFAULT_QUOTE_ALL_FIELDS`
`static final String`
`DEFAULT_RECORD_DELIMITER`
`static final String`
`DEFAULT_REGION`
`static final int`
`DEFAULT_S3_UPLOAD_PART_PARALLELISM`
`static final int`
`DEFAULT_S3_UPLOAD_PART_SIZE`
`static final String`
`DEFAULT_TRANSLATE_CHARACTERS_FROM`
`static final ExtractConfiguration.TranslateCharactersMode`
`DEFAULT_TRANSLATE_CHARACTERS_MODE`
`static final String`
`DEFAULT_TRANSLATE_CHARACTERS_TO`
`static final boolean`
`DEFAULT_TRIM_TRAILING_ZEROS`
`static final String`
`ENCODING`
`static final String`
`ENDPOINT`
`static final String`
`ESCAPE`
`static final String`
`ESCAPE_UNQUOTED_VALUES`
`static final String`
`FIELD_DELIMITER`
`static final String`
`FIELD_OPTIONALLY_ENCLOSED_BY`
`static final String`
`FILE_EXTENSION`
`static final String`
`FILE_PREFIX`
`static final String`
`FILE_TYPE`
`static final String`
`HEADER_MODE`
`static final String`
`INPUT_ESCAPED`
`static final String`
`LOCATION_TYPE`
`static final String`
`MAX_ROWS_PER_FILE`
`static final String`
`NULL_FORMAT`
`static final String`
`NUM_COMPRESSION_THREADS`
`static final String`
`PATH_STYLE_ACCESS`
`static final String`
`QUOTE_ALL_FIELDS`
`static final String`
`RECORD_DELIMITER`
`static final String`
`REGION`
`static final String`
`S3_UPLOAD_PART_PARALLELISM`
`static final String`
`S3_UPLOAD_PART_SIZE`
`static final String`
`TRANSLATE_CHARACTERS_FROM`
`static final String`
`TRANSLATE_CHARACTERS_MODE`
`static final String`
`TRANSLATE_CHARACTERS_TO`
`static final String`
`TRIM_TRAILING_ZEROS`

## Constructor Summary

Constructors
Constructor
Description
`ExtractConfiguration(Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAwsKeyId()`
`String`
`getAwsKeySecret()`
`ExtractConfiguration.BinaryFormat`
`getBinaryFormat()`
`String`
`getBucket()`
`ExtractConfiguration.Compression`
`getCompression()`
`int`
`getCompressionBlockSize()`
`int`
`getCompressionLevel()`
`Charset`
`getEncoding()`
`String`
`getEndpoint()`
`char`
`getEscape()`
`boolean`
`getEscapeUnquotedValues()`
`String`
`getFieldDelimiter()`
`char`
`getFieldOptionallyEnclosedBy()`
`String`
`getFileExtension()`
`String`
`getFilePrefix()`
`ExtractConfiguration.FileType`
`getFileType()`
`ExtractConfiguration.HeaderMode`
`getHeaderMode()`
`boolean`
`getInputEscaped()`
`ExtractConfiguration.LocationType`
`getLocationType()`
`Integer`
`getMaxRowsPerFile()`
`Optional<ExtractMetrics>`
`getMetrics()`
`String`
`getNullFormat()`
`int`
`getNumCompressionThreads()`
`boolean`
`getPathStyleAccess()`
`boolean`
`getQuoteAllFields()`
`String`
`getRecordDelimiter()`
`String`
`getRegion()`
`int`
`getS3UploadPartParallelism()`
`com.ibm.asyncutil.locks.AsyncSemaphore`
`getS3UploadPartSemaphore()`
`int`
`getS3UploadPartSize()`
`PerfCounter.ThreadingModel`
`getThreadingModel()`
`Optional<IntUnaryOperator>`
`getTranslateCharactersConfig()`
`boolean`
`getTrimTrailingZeros()`
`void`
`setMetrics(Optional<ExtractMetrics> metrics)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOCATION_TYPE

public static final String LOCATION_TYPE

See Also:
  - Constant Field Values

### FILE_TYPE

public static final String FILE_TYPE

See Also:
  - Constant Field Values

### DEFAULT_FILE_TYPE

public static final String DEFAULT_FILE_TYPE

### FILE_PREFIX

public static final String FILE_PREFIX

See Also:
  - Constant Field Values

### DEFAULT_FILE_PREFIX

public static final String DEFAULT_FILE_PREFIX

See Also:
  - Constant Field Values

### FILE_EXTENSION

public static final String FILE_EXTENSION

See Also:
  - Constant Field Values

### DEFAULT_FILE_EXTENSION

public static final String DEFAULT_FILE_EXTENSION

See Also:
  - Constant Field Values

### MAX_ROWS_PER_FILE

public static final String MAX_ROWS_PER_FILE

See Also:
  - Constant Field Values

### DEFAULT_MAX_ROWS_PER_FILE

public static final Integer DEFAULT_MAX_ROWS_PER_FILE

### COMPRESSION

public static final String COMPRESSION

See Also:
  - Constant Field Values

### DEFAULT_COMPRESSION

public static final String DEFAULT_COMPRESSION

### BUCKET

public static final String BUCKET

See Also:
  - Constant Field Values

### DEFAULT_BUCKET

public static final String DEFAULT_BUCKET

### REGION

public static final String REGION

See Also:
  - Constant Field Values

### DEFAULT_REGION

public static final String DEFAULT_REGION

### ENDPOINT

public static final String ENDPOINT

See Also:
  - Constant Field Values

### DEFAULT_ENDPOINT

public static final String DEFAULT_ENDPOINT

### AWS_KEY_ID

public static final String AWS_KEY_ID

See Also:
  - Constant Field Values

### DEFAULT_AWS_KEY_ID

public static final String DEFAULT_AWS_KEY_ID

See Also:
  - Constant Field Values

### AWS_SECRET_KEY

public static final String AWS_SECRET_KEY

See Also:
  - Constant Field Values

### DEFAULT_AWS_SECRET_KEY

public static final String DEFAULT_AWS_SECRET_KEY

See Also:
  - Constant Field Values

### RECORD_DELIMITER

public static final String RECORD_DELIMITER

See Also:
  - Constant Field Values

### DEFAULT_RECORD_DELIMITER

public static final String DEFAULT_RECORD_DELIMITER

See Also:
  - Constant Field Values

### FIELD_DELIMITER

public static final String FIELD_DELIMITER

See Also:
  - Constant Field Values

### DEFAULT_FIELD_DELIMITER

public static final String DEFAULT_FIELD_DELIMITER

See Also:
  - Constant Field Values

### HEADER_MODE

public static final String HEADER_MODE

See Also:
  - Constant Field Values

### DEFAULT_HEADER_MODE

public static final ExtractConfiguration.HeaderMode DEFAULT_HEADER_MODE

### PATH_STYLE_ACCESS

public static final String PATH_STYLE_ACCESS

See Also:
  - Constant Field Values

### DEFAULT_PATH_STYLE_ACCESS

public static final boolean DEFAULT_PATH_STYLE_ACCESS

See Also:
  - Constant Field Values

### TRIM_TRAILING_ZEROS

public static final String TRIM_TRAILING_ZEROS

See Also:
  - Constant Field Values

### DEFAULT_TRIM_TRAILING_ZEROS

public static final boolean DEFAULT_TRIM_TRAILING_ZEROS

See Also:
  - Constant Field Values

### NUM_COMPRESSION_THREADS

public static final String NUM_COMPRESSION_THREADS

See Also:
  - Constant Field Values

### DEFAULT_NUM_COMPRESSION_THREADS

public static final int DEFAULT_NUM_COMPRESSION_THREADS

### COMPRESSION_BLOCK_SIZE

public static final String COMPRESSION_BLOCK_SIZE

See Also:
  - Constant Field Values

### DEFAULT_COMPRESSION_BLOCK_SIZE

public static final int DEFAULT_COMPRESSION_BLOCK_SIZE

See Also:
  - Constant Field Values

### COMPRESSION_LEVEL

public static final String COMPRESSION_LEVEL

See Also:
  - Constant Field Values

### DEFAULT_COMPRESSION_LEVEL

public static final int DEFAULT_COMPRESSION_LEVEL

See Also:
  - Constant Field Values

### NULL_FORMAT

public static final String NULL_FORMAT

See Also:
  - Constant Field Values

### DEFAULT_NULL_FORMAT

public static final String DEFAULT_NULL_FORMAT

See Also:
  - Constant Field Values

### ENCODING

public static final String ENCODING

See Also:
  - Constant Field Values

### DEFAULT_ENCODING

public static final Charset DEFAULT_ENCODING

### ESCAPE

public static final String ESCAPE

See Also:
  - Constant Field Values

### DEFAULT_ESCAPE

public static final char DEFAULT_ESCAPE

See Also:
  - Constant Field Values

### FIELD_OPTIONALLY_ENCLOSED_BY

public static final String FIELD_OPTIONALLY_ENCLOSED_BY

See Also:
  - Constant Field Values

### DEFAULT_FIELD_OPTIONALL_ENCLOSED_BY

public static final char DEFAULT_FIELD_OPTIONALL_ENCLOSED_BY

See Also:
  - Constant Field Values

### BINARY_FORMAT

public static final String BINARY_FORMAT

See Also:
  - Constant Field Values

### DEFAULT_BINARY_FORMAT

public static final String DEFAULT_BINARY_FORMAT

### TRANSLATE_CHARACTERS_MODE

public static final String TRANSLATE_CHARACTERS_MODE

See Also:
  - Constant Field Values

### DEFAULT_TRANSLATE_CHARACTERS_MODE

public static final ExtractConfiguration.TranslateCharactersMode DEFAULT_TRANSLATE_CHARACTERS_MODE

### TRANSLATE_CHARACTERS_FROM

public static final String TRANSLATE_CHARACTERS_FROM

See Also:
  - Constant Field Values

### DEFAULT_TRANSLATE_CHARACTERS_FROM

public static final String DEFAULT_TRANSLATE_CHARACTERS_FROM

See Also:
  - Constant Field Values

### TRANSLATE_CHARACTERS_TO

public static final String TRANSLATE_CHARACTERS_TO

See Also:
  - Constant Field Values

### DEFAULT_TRANSLATE_CHARACTERS_TO

public static final String DEFAULT_TRANSLATE_CHARACTERS_TO

See Also:
  - Constant Field Values

### ESCAPE_UNQUOTED_VALUES

public static final String ESCAPE_UNQUOTED_VALUES

See Also:
  - Constant Field Values

### DEFAULT_ESCAPE_UNQUOTED_VALUES

public static final boolean DEFAULT_ESCAPE_UNQUOTED_VALUES

See Also:
  - Constant Field Values

### INPUT_ESCAPED

public static final String INPUT_ESCAPED

See Also:
  - Constant Field Values

### DEFAULT_INPUT_ESCAPED

public static final boolean DEFAULT_INPUT_ESCAPED

See Also:
  - Constant Field Values

### QUOTE_ALL_FIELDS

public static final String QUOTE_ALL_FIELDS

See Also:
  - Constant Field Values

### DEFAULT_QUOTE_ALL_FIELDS

public static final boolean DEFAULT_QUOTE_ALL_FIELDS

See Also:
  - Constant Field Values

### S3_UPLOAD_PART_SIZE

public static final String S3_UPLOAD_PART_SIZE

See Also:
  - Constant Field Values

### DEFAULT_S3_UPLOAD_PART_SIZE

public static final int DEFAULT_S3_UPLOAD_PART_SIZE

See Also:
  - Constant Field Values

### S3_UPLOAD_PART_PARALLELISM

public static final String S3_UPLOAD_PART_PARALLELISM

See Also:
  - Constant Field Values

### DEFAULT_S3_UPLOAD_PART_PARALLELISM

public static final int DEFAULT_S3_UPLOAD_PART_PARALLELISM

See Also:
  - Constant Field Values

## Constructor Details

### ExtractConfiguration

public ExtractConfiguration(Properties properties)

## Method Details

### getLocationType

public ExtractConfiguration.LocationType getLocationType()

### getFileType

public ExtractConfiguration.FileType getFileType()

### getFilePrefix

public String getFilePrefix()

### getFileExtension

public String getFileExtension()

### getMaxRowsPerFile

public Integer getMaxRowsPerFile()

### getCompression

public ExtractConfiguration.Compression getCompression()

### getBucket

public String getBucket()

### getRegion

public String getRegion()

### getEndpoint

public String getEndpoint()

### getAwsKeyId

public String getAwsKeyId()

### getAwsKeySecret

public String getAwsKeySecret()

### getRecordDelimiter

public String getRecordDelimiter()

### getFieldDelimiter

public String getFieldDelimiter()

### getHeaderMode

public ExtractConfiguration.HeaderMode getHeaderMode()

### getPathStyleAccess

public boolean getPathStyleAccess()

### getTrimTrailingZeros

public boolean getTrimTrailingZeros()

### getNumCompressionThreads

public int getNumCompressionThreads()

### getCompressionBlockSize

public int getCompressionBlockSize()

### getCompressionLevel

public int getCompressionLevel()

### getNullFormat

public String getNullFormat()

### getEncoding

public Charset getEncoding()

### getEscape

public char getEscape()

### getFieldOptionallyEnclosedBy

public char getFieldOptionallyEnclosedBy()

### getBinaryFormat

public ExtractConfiguration.BinaryFormat getBinaryFormat()

### getTranslateCharactersConfig

public Optional<IntUnaryOperator> getTranslateCharactersConfig()

### getEscapeUnquotedValues

public boolean getEscapeUnquotedValues()

### getInputEscaped

public boolean getInputEscaped()

### getQuoteAllFields

public boolean getQuoteAllFields()

### getS3UploadPartSize

public int getS3UploadPartSize()

### getS3UploadPartParallelism

public int getS3UploadPartParallelism()

### getS3UploadPartSemaphore

public com.ibm.asyncutil.locks.AsyncSemaphore getS3UploadPartSemaphore()

### getThreadingModel

public PerfCounter.ThreadingModel getThreadingModel()

### setMetrics

public void setMetrics(Optional<ExtractMetrics> metrics)

### getMetrics

public Optional<ExtractMetrics> getMetrics()